#
# spec file for package python-Epsilon
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Epsilon
Version:        0.7.0
Release:        4.2
Summary:        Divmod utility package
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/twisted/epsilon
Source0:        http://pypi.python.org/packages/source/E/Epsilon/Epsilon-%{version}.tar.gz
BuildRequires:  python-Twisted >= 13.2.0
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-Twisted >= 13.2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A small utility package that depends on tools too recent for Twisted (like
datetime in python2.4) but performs generic enough functions that it can be
used in projects that don't want to share Divmod's other projects' large
footprint.

Currently included:

    * A powerful date/time formatting and import/export class (ExtimeDotTime),
      for exchanging date and time information between all Python's various
      ways to interpret objects as times or time deltas.
    * Tools for managing concurrent asynchronous processes within Twisted.
    * A metaclass which helps you define classes with explicit states.
    * A featureful Version class.
    * A formal system for application of monkey-patches.

%prep
%setup -n Epsilon-%{version} -q
# fix end-of-line
sed -i 's/\r//' NAME.txt

%build
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot} --prefix %{_prefix}
rm -f %{buildroot}%{_bindir}/benchmark

%files
%defattr(-,root,root,-)
%doc LICENSE README NAME.txt NEWS.txt
%{python_sitelib}/*

%changelog
* Tue Apr 21 2015 benoit.monin@gmx.fr
- update to version 0.7.0:
  * Only Python 2.6 and 2.7 are supported now. 2.4, 2.5 is
    deprecated
  * setup.py now uses setuptools, and stores its dependencies
    This means you no longer need to manually install dependencies
  * setup.py no longer requires Twisted for egg_info, making it
    easier to install Epsilon using pip.
  * Significant improvements to PyPy support. PyPy is now a
    supported platform, with CI support.
  * epsilon.release is now removed. It relied on a bunch of
    machinery specific to divmod that no longer existed
  * epsilon.sslverify is now removed. Use twisted.internet.ssl
    instead
  * epsilon.asTwistedVersion takes a string version ("1.2.3") and
    turns it into a twisted.python.versions.Version
  * Several deprecation warnings have been cleaned up
- update URL to project home page
- add %%{version} in Source URL
- update Twisted version requirement
- add LICENSE to package documentation
- fix end-of-line in NAME.txt
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Jul 31 2012 saschpe@suse.de
- Spec file cleanup:
  + Set correct group
  + Dropped outdated Fedora parts
* Sun Jul  1 2012 dimstar@opensuse.org
- Initial package, version 0.6.0.
